# HOBBITCGI.CFG

Section: File Formats (5)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbitcgi.cfg - Command-line parameters for the Xymon CGI tools

## SYNOPSIS

$BBHOME/etc/hobbitcgi.cfg

## DESCRIPTION

hobbitcgi.cfg(1) controls the commandline options passed to all of the Xymon CGI tools through their respective shell-script wrappers. Typically the options listed here are used for system-wide configuration of the CGI utilities, e.g. to define where they read configuration files.

The exact set of commandline options available are described in the man-page for each of the CGI utilities.

The file is "sourced" into the shell script wrapper, so assignments to the CGI-specific variables must follow standard shell-script syntax.

## SETTINGS

CGI_ACKINFO_OPTS
  Options for the hobbit-ackinfo.cgi(1) utility.

CGI_ACK_OPTS
  Options for the bb-ack.cgi(1) utility.

CGI_CSVINFO_OPTS
  Options for the bb-csvinfo.cgi(1) utility.

CGI_DATEPAGE_OPTS
  Options for the bb-datepage.cgi(1) utility.

CGI_ENADIS_OPTS
  Options for the hobbit-enadis.cgi(8) utility.

CGI_EVENTLOG_OPTS
  Options for the bb-eventlog.cgi(1) utility.

CGI_FINDHOST_OPTS
  Options for the bb-findhost.cgi(1) utility.

CGI_HIST_OPTS
  Options for the bb-hist.cgi(1) utility.

CGI_HOBBITCOLUMN_OPTS
  Xymon-specific options for column documentation. This uses the bb-csvinfo.cgi(1) utility with the server/etc/columndoc.cfg configuration file.

CGI_HOBBITCONFREPORT_OPTS
  Options for the hobbit-confreport.cgi(1) utility.

CGI_HOBBITGRAPH_OPTS
  Options for the hobbitgraph.cgi(1) utility.

CGI_HOSTGRAPHS_OPTS
  Options for the hobbit-hostgraphs.cgi(1) utility.

CGI_NKEDIT_OPTS
  Options for the hobbit-nkedit.cgi(1) utility.

CGI_NKVIEW_OPTS
  Options for the hobbit-nkview.cgi(1) utility.

CGI_REPLOG_OPTS
  Options for the bb-replog.cgi(1) utility.

CGI_REP_OPTS
  Options for the bb-rep.cgi(1) utility.

CGI_SNAPSHOT_OPTS
  Options for the bb-snapshot.cgi(1) utility.

CGI_SVCHIST_OPTS
  Options for the hobbitsvc.cgi(1) utility when used to view historical logs. Note that the "--historical" option must be included in this setting.

CGI_SVC_OPTS
  Options for the hobbitsvc.cgi(1) utility.

## SEE ALSO

xymon(7), the individual CGI utility man-pages.

## Index

NAME
SYNOPSIS
DESCRIPTION
SETTINGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008